Last Comment Bug 355396 - cmd-up takes you up a path of the URL instead of to top of page
: cmd-up takes you up a path of the URL instead of to top of page
Status: RESOLVED FIXED
: fixed-seamonkey1.1.1, regression
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: PowerPC Mac OS X
: -- normal (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on:
Blocks: 33684
  Show dependency treegraph
 
Reported: 2006-10-04 11:10 PDT by Not interested in Mozilla any more
Modified: 2008-07-31 04:23 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (3.49 KB, patch)
2007-02-08 15:35 PST, neil@parkwaycc.co.uk
samuel.sidler+old: review+
csthomas: review+
kairo: approval‑seamonkey1.1.1+
Details | Diff | Splinter Review

Description Not interested in Mozilla any more 2006-10-04 11:10:15 PDT
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.1b2) Gecko/20060821 SeaMonkey/1.1a
Build Identifier: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.1b2) Gecko/20060821 SeaMonkey/1.1a

Pressing command-up arrow causes webpage to be with a different page from the same site. Previously it took you to the top of the current page. Command-down arrow still takes you to the bottom of the current page. The existing behavior is an absolute must for laptop users who do not have 'home' and 'end' keys.

Reproducible: Always

Steps to Reproduce:
1. Go to a page
2. Press command-up arrow


Actual Results:  
Page is replaces, usually with the main page for that site.

Expected Results:  
Page should remain and you should be taken to the top of the page.
Comment 1 Samuel Sidler (old account; do not CC) 2007-02-08 00:23:54 PST
I can confirm this behavior, but am changing the summary a bit.

In SeaMonkey 1.0.x, pressing cmd-up would take you to the top of the page, if you had scrolled it.

In SeaMonkey 1.1 and trunk, pressing cmd-up takes you up a directory in the path. For example, if you were at http://localhost/testing/123/, cmd-up would take you to http://localhost/testing/.

This appears to be a regression, but I'm sure it's actually the casualty of a new feature. Unfortunately, I can't find the bug that added this behavior. As such, I'm not confirming it because there may have been discussion already.
Comment 2 neil@parkwaycc.co.uk 2007-02-08 01:30:36 PST
Sorry, when I fixed bug 33684 I didn't realise Cmd+Up was already in use.

What key would you like it to be, if any? (You can choose any key you like because it goes in platformNavigationBindings.xul).
Comment 3 Stefan [:stefanh] (away until December 6) 2007-02-08 10:33:15 PST
(Cmd+Up also moves tab left)

How about Cmd+Shift+Up ? I don't think it's used anywhere.
Comment 4 Stefan [:stefanh] (away until December 6) 2007-02-08 10:43:19 PST
Hmm, maybe Alt+Up works as well.
Comment 5 Samuel Sidler (old account; do not CC) 2007-02-08 11:20:06 PST
Technically, cmd-shift-up used to for selecting "from here to the top the of page". Alt/option- or ctrl- up seem reasonable though.

alt/option-up go to the top of textareas though, so as long as it doesn't interfere with that (which it shouldn't because focus is different), then it should be good.
Comment 6 neil@parkwaycc.co.uk 2007-02-08 12:07:20 PST
It's actually alt-up on the other platforms, but I changed it to cmd-up to match the back and forward keys... are we agreed on alt-up?
Comment 7 Stefan [:stefanh] (away until December 6) 2007-02-08 12:24:57 PST
(In reply to comment #6)
> It's actually alt-up on the other platforms, but I changed it to cmd-up to
> match the back and forward keys... are we agreed on alt-up?
> 

Alt+Up sounds good to me. If you bother to update Help on trunk (otherwise I can), Alt is Opt on mac ;-)
Comment 8 neil@parkwaycc.co.uk 2007-02-08 15:35:13 PST
Created attachment 254462 [details] [diff] [review]
Proposed patch
Comment 9 Samuel Sidler (old account; do not CC) 2007-02-08 15:46:02 PST
Comment on attachment 254462 [details] [diff] [review]
Proposed patch

I don't build SeaMonkey, but this change looks good to me.

r=me
Comment 10 neil@parkwaycc.co.uk 2007-02-09 06:26:33 PST
Fix checked in to the trunk.
Comment 11 Ian Neal 2007-02-13 15:54:10 PST
Comment on attachment 254462 [details] [diff] [review]
Proposed patch

a=me for SM1.1.1 (one more needed)
Comment 12 neil@parkwaycc.co.uk 2007-02-14 04:29:32 PST
(In reply to comment #11)
>(From update of attachment 254462 [details] [diff] [review])
>a=me for SM1.1.1 (one more needed)
I don't think it is, so I've checked it in to the branch.
Comment 13 Robert Kaiser 2007-02-14 06:04:38 PST
Comment on attachment 254462 [details] [diff] [review]
Proposed patch

a+ per correct notion on Comment #12

Note You need to log in before you can comment on or make changes to this bug.